Unverified Commit 282eb113 authored by Kroese's avatar Kroese Committed by GitHub
Browse files

fix: Verify files are not empty (#463)

parent 2c323dfe
Loading
Loading
Loading
Loading
+4 −4
Original line number Diff line number Diff line
@@ -43,13 +43,13 @@ if [[ "${BOOT_MODE,,}" != "legacy" ]] && [[ "${BOOT_MODE,,}" != "windows_legacy"
  OVMF="/usr/share/OVMF"
  DEST="$STORAGE/${BOOT_MODE,,}"

  if [ ! -f "$DEST.rom" ]; then
    [ ! -f "$OVMF/$ROM" ] && error "UEFI boot file ($OVMF/$ROM) not found!" && exit 44
  if [ ! -s "$DEST.rom" ]; then
    [ ! -s "$OVMF/$ROM" ] && error "UEFI boot file ($OVMF/$ROM) not found!" && exit 44
    cp "$OVMF/$ROM" "$DEST.rom"
  fi

  if [ ! -f "$DEST.vars" ]; then
    [ ! -f "$OVMF/$VARS" ] && error "UEFI vars file ($OVMF/$VARS) not found!" && exit 45
  if [ ! -s "$DEST.vars" ]; then
    [ ! -s "$OVMF/$VARS" ] && error "UEFI vars file ($OVMF/$VARS) not found!" && exit 45
    cp "$OVMF/$VARS" "$DEST.vars"
  fi

+3 −3
Original line number Diff line number Diff line
@@ -399,7 +399,7 @@ addDisk () {
  FS=$(stat -f -c %T "$DIR")
  checkFS "$FS" "$DISK_FILE" "$DISK_DESC" || exit $?

  if ! [ -f "$DISK_FILE" ] ; then
  if ! [ -s "$DISK_FILE" ] ; then

    if [[ "${DISK_FMT,,}" != "raw" ]]; then
      PREV_FMT="raw"
@@ -408,12 +408,12 @@ addDisk () {
    fi
    PREV_EXT=$(fmt2ext "$PREV_FMT")

    if [ -f "$DISK_BASE.$PREV_EXT" ] ; then
    if [ -s "$DISK_BASE.$PREV_EXT" ] ; then
      convertDisk "$DISK_BASE.$PREV_EXT" "$PREV_FMT" "$DISK_FILE" "$DISK_FMT" "$DISK_BASE" "$DISK_DESC" "$FS" || exit $?
    fi
  fi

  if [ -f "$DISK_FILE" ]; then
  if [ -s "$DISK_FILE" ]; then

    CUR_SIZE=$(getSize "$DISK_FILE")

+1 −1
Original line number Diff line number Diff line
@@ -37,7 +37,7 @@ info "$MSG" && html "$MSG"
fKill "progress.sh"

(( rc != 0 )) && error "Failed to download $BOOT , reason: $rc" && exit 60
[ ! -f "$TMP" ] && error "Failed to download $BOOT" && exit 61
[ ! -s "$TMP" ] && error "Failed to download $BOOT" && exit 61

html "Download finished successfully..."

+2 −2
Original line number Diff line number Diff line
@@ -223,7 +223,7 @@ closeNetwork() {
  else

    local pid="/var/run/dnsmasq.pid"
    [ -f "$pid" ] && pKill "$(<"$pid")"
    [ -s "$pid" ] && pKill "$(<"$pid")"

    ip link set "$VM_NET_TAP" down promisc off || true
    ip link delete "$VM_NET_TAP" || true
@@ -251,7 +251,7 @@ getInfo() {

  if [ -z "$MAC" ]; then
    local file="$STORAGE/$PROCESS.mac"
    [ -f "$file" ] && MAC=$(<"$file")
    [ -s "$file" ] && MAC=$(<"$file")
    if [ -z "$MAC" ]; then
      # Generate MAC address based on Docker container ID in hostname
      MAC=$(echo "$HOST" | md5sum | sed 's/^\(..\)\(..\)\(..\)\(..\)\(..\).*$/02:\1:\2:\3:\4:\5/')
+1 −1
Original line number Diff line number Diff line
@@ -21,7 +21,7 @@ fi

while true
do
  if [ -f "$file" ]; then
  if [ -s "$file" ]; then
    bytes=$(du -sb "$file" | cut -f1)
    if (( bytes > 1000 )); then
      size=$(echo "$bytes" | numfmt --to=iec --suffix=B  | sed -r 's/([A-Z])/ \1/')